nvme_init_dsm_range(2)

NAME
nvme_init_dsm_range - Constructs a data set range structure

SYNOPSIS
void nvme_init_dsm_range (struct nvme_dsm_range *dsm , __u32 *ctx_attrs , __u32 *llbas , __u64 *slbas , __u16 nr_ranges );

ARGUMENTS

dsm DSM range array

ctx_attrs
    Array of context attributes

llbas
    Array of length in logical blocks

slbas
    Array of starting logical blocks

nr_ranges
    The size of the dsm arrays

DESCRIPTION
Each array must be the same size of size 'nr_ranges'. This is intended to be used with constructing a payload for nvme_dsm.

RETURN
The nvme command status if a response was received or -errno otherwise.